if not ace:LoadTranslation("BagWorthFu") then
	BagWorthFuLocals = {
		NAME = "FuBar - BagWorthFu";
		DESCRIPTION = "Keeps track of the total value of the loot in your bags";
		WEBSITE = "http://";
		COMMANDS = {
			"/bw", "/bagworth"
		};
		CMD_OPTIONS = {
			--Apply to the /bw command
			{
				option = "ignore",
				desc   = "Ignores an item given as an item link, this item will not be counted in the BagWorth total",
				method = "IgnoreItem",
				input  = TRUE,
				args = {
					{
						option = "clear",
						desc   = "Clears the database of all ignored items, thereby including all items once again",
						method = "ClearIgnoredItems"
					}
				}
			},
			{
				option = "colorcode",
				desc   = "Sets the color code used to display the panel text",
				method = "SetColor",
				input = TRUE,
				args = {
					{
						option = "default",
						desc   = "Sets the default setting for the panel text (7f7fff)",
						method = "SetDefaultColor"
					}
				}
			},
			{
				option = "upperlimit",
				desc   = "Ignores items above a given threshold of quality",
				args   = {
					{
						option = "artifact",
						desc   = "Ignores items of artifact quality or better",
						method = "IgnoreLimitArtifact"
					},
					{
						option = "legendary",
						desc   = "Ignores items of legendary quality or better",
						method = "IgnoreLimitLegendary"
					},
					{
						option = "epic",
						desc   = "Ignores items of epic quality or better",
						method = "IgnoreLimitEpic"
					},
					{
						option = "rare",
						desc   = "Ignores items of rare quality or better",
						method = "IgnoreLimitRare"
					},
					{
						option = "uncommon",
						desc   = "Ignores items of uncommon quality or better",
						method = "IgnoreLimitUncommon"
					},
					{
						option = "magic",
						desc   = "Ignores items of uncommon (sometimes called magic) quality or better",
						method = "IgnoreLimitUncommon"
					},
					{
						option = "common",
						desc   = "Ignores items of common quality or better",
						method = "IgnoreLimitCommon"
					},
					{
						option = "none",
						desc   = "Includes all items regardless of quality",
						method = "IgnoreLimitNone"
					},
					{
						option = "default",
						desc   = "Sets the ignore quality limit to the default (epic)",
						method = "IgnoreLimitEpic"
					}
				}
			}
		};

		STATUS = {
			IGNORELIMIT = "Ignore quality limit",
			IGNORE      = "Ignoring ",
			NOTIGNORE   = "No longer ignoring ",
			COLORCODE   = "Color code used in panel",
			IGNORECLEAR = "No longer ignoring any item"
		};

		MAP    = {
			IGNORELIMIT = {}
		};

		EMPTYVALUE = "Nothing of value";
	}
end

--Setup the map based on the locale
--This section does not need to be localized, as it already is
for i=0, 6 do
	local _, _, _, hex = GetItemQualityColor(i);
	BagWorthFuLocals.MAP.IGNORELIMIT[i] = hex .. getglobal("ITEM_QUALITY" .. i .. "_DESC") .. "|r";
end